class HttpError extends Error {
	constructor({ message, statusCode = 400, statusMessage }) {
		super(message || statusMessage);

		this.name = 'HttpError';

		this.statusCode = statusCode;
		this.statusMessage = statusMessage;
	}
}

export { HttpError };
