import { fetchShelves } from '../../src/shelves';

async function onBeforeRender(_pageContext) {
	const shelves = await fetchShelves();

	return {
		pageContext: {
			pageData: {
				shelves,
			},
		},
	};
}

export { onBeforeRender };
