import config from 'config';
import redis from 'redis';

import initLogger from './logger';

const logger = initLogger();

const client = redis.createClient({
	socket: config.redis,
});

client.connect();
logger.info('Redis module initialized');

export { client };
